2019-02-20 13:10 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000005mercuryBugpublic2007-10-19 15:11
Reporteranonymous 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000005: bad error message for state vars
DescriptionFrom bojar@csse.unimelb.edu.au Wed Aug 15 16:50:01 2007
Date: Wed, 15 Aug 2007 16:51:13 +1000
From: Ondrej Bojar <bojar@csse.unimelb.edu.au>
To: mercury-bugs@csse.unimelb.edu.au
Subject: bad error message for state vars

Hi.

Here is an error message that wrongly reports the variable name:

oc_tree.m:015: Error: !FTFileName cannot appear as a unification argument.
oc_tree.m:015: You probably meant !.FTFileName or !:FTFileName.

where the actual error I made on that particular line was related to !D:

            !D = svg.new,

See the source code attached. (Other errors are correct.)

Thanks, Ondrej.

--
Ondrej Bojar (mailto:obo@cuni.cz / bojar@ufal.mff.cuni.cz)
http://www.cuni.cz/~obo
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000038

juliensf (administrator)

Fixed. See log message for revision 1.46 of compiler/add_clause.m.
+Notes

-Issue History
Date Modified Username Field Change
2007-09-27 23:39 anonymous New Issue
2007-09-27 23:39 anonymous File Added: oc_tree.m
2007-10-19 15:11 juliensf Status new => resolved
2007-10-19 15:11 juliensf Resolution open => fixed
2007-10-19 15:11 juliensf Assigned To => juliensf
2007-10-19 15:11 juliensf Note Added: 0000038
+Issue History